Package: org.codehaus.groovy.transform

## [Java] Class BuilderASTTransformation

- org.codehaus.groovy.transform.BuilderASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware

      @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class BuilderASTTransformation
      extends AbstractASTTransformation

  Handles generation of code for the Builder annotation.

  Authors:
    Marcin Grzejszczak
    Paul King

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `BuilderASTTransformation.AbstractBuilderStrategy` |
    `interface` | `BuilderASTTransformation.BuilderStrategy` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `MY_TYPE_NAME` |
    `static ClassNode[]` | `NO_EXCEPTIONS` |
    `static Parameter[]` | `NO_PARAMS` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setCompilationUnit(CompilationUnit unit)`
    `` | `void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class AbstractASTTransformation`

    `addError, checkIncludeExclude, checkIncludeExclude, checkNotInterface, copyAnnotatedNodeAnnotations, deemedInternalName, getClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, nonGeneric, shouldSkip, shouldSkipOnDescriptor, tokenize`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final String MY_TYPE_NAME

    - #### public static final ClassNode[] NO_EXCEPTIONS

    - #### public static final Parameter[] NO_PARAMS

  - ### Method Detail

    - #### public void setCompilationUnit(CompilationUnit unit)

    - #### public void visit(ASTNode[] nodes, SourceUnit source)